import React, { Component, Fragment } from 'react';

import { connect } from 'react-redux';
import * as actions from "../actions/addNewStaffAction";

import { bindActionCreators } from "redux";

import FormAddNewStaff from '../components/FormsAdd/FormAddNewStaff';
import EditModal from "../components/Modal";

class AddNewStaff extends Component {

    closeEditModal = () => {
        const { closeModal } = this.props;
        closeModal();
    }
    render() {
        const { showModal, error, isFetching, AddNewStaff } = this.props
        
        return (

            <Fragment>
                <Fragment>
                    <FormAddNewStaff AddNewStaff={AddNewStaff} 
                        isFetching={isFetching} 
                    />
                </Fragment>
                <EditModal visible={showModal}
                    onOk={this.closeEditModal}
                    onCancel={this.closeEditModal}
                    error={error}
                />
            </Fragment>

        );
    }
}


const mapStateToProps = state => ({
    staffData: state.addStaff.staffData,
    isFetching: state.addStaff.isFetching,
    showModal: state.addStaff.showModal,
    error: state.addStaff.error
});

const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);

export default AddNewStaff = connect(
    mapStateToProps,
    mapDispatchToProps
)(AddNewStaff);